Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Interface EnumConverting

All Known Subinterfaces:
  PropertyEnumConverting

All Known Implementing Classes:
  Account.AvatarPolicy, Account.BuddyCountPolicy, Account.CapabilityStatus, Account.CblSyncStatus, Account.ChatPolicy, Account.CommitStatus, Account.LogoutReason, Account.PhoneNumbersPolicy, Account.Property, Account.PstnCallPolicy, Account.PwdChangeStatus, Account.SkypeCallPolicy, Account.Status, Account.TimezonePolicy, Account.VoicemailPolicy, Account.WebPresencePolicy, Contact.AuthLevel, Contact.Availability, Contact.Capability, Contact.Capabilitystatus, Contact.ExtraAuthReqFields, Contact.Property, Contact.Type, ContactGroup.Property, ContactGroup.Type, ContactSearch.Condition, ContactSearch.Property, ContactSearch.Status, Conversation.AllowedActivity, Conversation.ListType, Conversation.LocalLiveStatus, Conversation.MyStatus, Conversation.ParticipantFilter, Conversation.Property, Conversation.Type, Message.ConsumptionStatus, Message.Leavereason, Message.Property, Message.SendingStatus, Message.SetMetadataKey, Message.Type, Participant.Dtmf, Participant.Property, Participant.Rank, Participant.TextStatus, Participant.VideoStatus, Participant.VoiceStatus, Skype.App2AppStreams, Skype.AudioDeviceCapabilities, Skype.IdentityType, Skype.LeaveReason, Skype.NormalizeResult, Skype.OperatingMedia, Skype.PrepareSoundResult, Skype.ProxyType, Skype.QualityTestResult, Skype.QualityTestType, Skype.TransferSendfileError, Skype.Validateresult, Sms.ConfirmType, Sms.FailureReason, Sms.Property, Sms.SetBodyResult, Sms.Status, Sms.TargetStatus, Sms.Type, Transfer.FailureReason, Transfer.Property, Transfer.Status, Transfer.Type, Video.MediaType, Video.Property, Video.Status, Video.VideoDeviceCapability, Voicemail.FailureReason, Voicemail.Property, Voicemail.Status, Voicemail.Type

    public interface EnumConverting

Method Summary
`EnumConverting` | `convert(int value)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`

Method Detail

### getId

    int getId()

### convert

    EnumConverting convert(int value)

### getDefault

    EnumConverting getDefault()

### getArray

    EnumConverting[] getArray(int size)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.